<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myPaymentLabel" jhiTranslate="typerApp.payment.home.createOrEditLabel">Create or edit a Payment</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!payment.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="payment.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.payment.amount" for="field_amount">Amount</label>
            <input type="number" class="form-control" name="amount" id="field_amount"
                [(ngModel)]="payment.amount" />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.payment.league" for="field_league">League</label>
            <select class="form-control" id="field_league" name="league" [(ngModel)]="payment.league"  required>
                <option *ngIf="!editForm.value.league" [ngValue]="null" selected></option>
                <option [ngValue]="leagueOption.id === payment.league?.id ? payment.league : leagueOption" *ngFor="let leagueOption of leagues; trackBy: trackLeagueById">{{leagueOption.name}}</option>
            </select>
        </div>
        <div [hidden]="!(editForm.controls.league?.dirty && editForm.controls.league?.invalid)">
            <small class="form-text text-danger"
                [hidden]="!editForm.controls.league?.errors?.required" jhiTranslate="entity.validation.required">
                This field is required.
            </small>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.payment.user" for="field_user">User</label>
            <select class="form-control" id="field_user" name="user" [(ngModel)]="payment.user"  required>
                <option *ngIf="!editForm.value.user" [ngValue]="null" selected></option>
                <option [ngValue]="userOption.id === payment.user?.id ? payment.user : userOption" *ngFor="let userOption of users; trackBy: trackUserById">{{userOption.login}}</option>
            </select>
        </div>
        <div [hidden]="!(editForm.controls.user?.dirty && editForm.controls.user?.invalid)">
            <small class="form-text text-danger"
                [hidden]="!editForm.controls.user?.errors?.required" jhiTranslate="entity.validation.required">
                This field is required.
            </small>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
